sábado, 30 de junio de 2012

Elevación de privilegios a través de la configuración de Sendmail en IBM AIX

Se ha publicado una vulnerabilidad en la configuración por defecto de Sendmail para IBM AIX que podría permitir a un atacante local escalar privilegios.

Sendmail es un agente de transporte de correo electrónico o MTA. Su propósito es transferir y encaminar los correos desde los agentes de correo de usuario (MUA) hasta otros MTA para que lleguen a su destino.

Sendmail es muy popular y configurable. Permite a los usuarios especificar alias de correo electrónico mediante el archivo .forward, ubicado en su directorio /home. En este archivo también se pueden especificar otros usuarios, así como ficheros, o programas donde se enviará el correo.

Existe un error de falta de comprobación al procesar el contenido del fichero .forward en la configuración por defecto de Sendmail en IBM AIX. Podría producirse la ejecución de comandos arbitrarios contenidos en este fichero con los privilegios de root. Así, un atacante local podría aprovechar esta vulnerabilidad para elevar sus privilegios y ejecutar código arbitrario a través de un fichero .forward especialmente manipulado.

Esta vulnerabilidad, a la que se ha asignado el identificador CVE-2012-2200, afecta a IBM AIX en sus versiones 6.1 y 7.1.

IBM ha publicado un parche para resolver los errores que la producen, pudiéndose descargar desde la página web o el FTP oficial.

Más información:

IBM SECURITY ADVISORY: Vulnerability in AIX sendmail




Juan José Ruiz


No hay comentarios:

Publicar un comentario en la entrada